package kr.co.hanwha.hifive.data.model;

/**
 * Created by sanghoonkwon on 2018. 1. 22..
 */

public class TaskDetailData extends TaskData {
    /**
     * ex)
     */
    String author_name;
    /**
     * ex)
     */
    String author_profile_url;
    /**
     * ex) 0
     */
    int message_type;
    /**
     * ex) null
     */
    String message_contents;

    int ref_task_id;

    public String getCreated_at() {
        return created_at;
    }

    public String getUpdated_at() {
        return updated_at;
    }

    public String getAuthor_name() {
        return author_name;
    }

    public String getAuthor_profile_url() {
        return author_profile_url;
    }

    public int getMessage_type() {
        return message_type;
    }

    public String getMessage_contents() {
        return message_contents;
    }

    @Override
    public String toString() {
        return "TaskDetailData{" +
                "author_name='" + author_name + '\'' +
                ", author_profile_url='" + author_profile_url + '\'' +
                ", message_type=" + message_type +
                ", message_contents='" + message_contents + '\'' +
                ", ref_task_id=" + ref_task_id +
                ", flag=" + flag +
                ", task_id=" + task_id +
                ", task_name='" + task_name + '\'' +
                ", author_member_id=" + author_member_id +
                ", member_id=" + member_id +
                ", member_name='" + member_name + '\'' +
                ", member_profile_url='" + member_profile_url + '\'' +
                ", project_id=" + project_id +
                ", project_name='" + project_name + '\'' +
                ", track_id=" + track_id +
                ", due_to='" + due_to + '\'' +
                ", timezone='" + timezone + '\'' +
                ", repeat_day='" + repeat_day + '\'' +
                ", description='" + description + '\'' +
                ", evaluation=" + evaluation +
                ", is_today=" + is_today +
                ", status=" + status +
                ", created_at='" + created_at + '\'' +
                ", updated_at='" + updated_at + '\'' +
                ", finished_at='" + finished_at + '\'' +
                ", closed_at='" + closed_at + '\'' +
                '}';
    }
}
